export const useNastavitveStore = defineStore('nastavitve', {
  state: () => ({
    izbraniJezik: 'sl',
    mozniJeziki: {
      de: 'Deutsch',
      en: 'English',
      es: 'Español',
      hr: 'Hrvatski',
      sl: 'Slovensko'
    }
  }),
  actions: {
    izberiJezik(jezik) {
      if (Object.keys(this.mozniJeziki).indexOf(jezik) > -1) {
        this.izbraniJezik = jezik
      }
    }
  }
})
